ServerNotActiveException (Java Platform SE 8 )
Keywords: java.rmi.server.ServerNotActiveException class
Date: 2026-04-17

compact2, compact3
java.rmi.server

## Class ServerNotActiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.rmi.server.ServerNotActiveException

- All Implemented Interfaces:
    Serializable

      public class ServerNotActiveException
      extends Exception

  An `ServerNotActiveException` is an `Exception` thrown during a call to `RemoteServer.getClientHost` if the getClientHost method is called outside of servicing a remote method call.
  Since:
    JDK1.1
  See Also:
    `RemoteServer.getClientHost()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerNotActiveException()` Constructs an `ServerNotActiveException` with no specified detail message.
    `ServerNotActiveException(String s)` Constructs an `ServerNotActiveException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerNotActiveException

          public ServerNotActiveException()

      Constructs an `ServerNotActiveException` with no specified detail message.
      Since:
        JDK1.1

    - #### ServerNotActiveException

          public ServerNotActiveException(String s)

      Constructs an `ServerNotActiveException` with the specified detail message.
      Parameters:
        `s` - the detail message.
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.